AWS IoT Secure Tunneling
    • /
      POST
    • /
      POST
    • /
      POST
    • /
      POST
    • /
      POST
    • /
      POST
    • /
      POST
    • /
      POST
    • Schemas
      • Schemas
        • CloseTunnelResponse
        • CloseTunnelRequest
        • ResourceNotFoundException
        • DescribeTunnelResponse
        • DescribeTunnelRequest
        • ListTagsForResourceResponse
        • ListTagsForResourceRequest
        • ListTunnelsResponse
        • ListTunnelsRequest
        • OpenTunnelResponse
        • OpenTunnelRequest
        • LimitExceededException
        • TagResourceResponse
        • RotateTunnelAccessTokenResponse
        • TagResourceRequest
        • RotateTunnelAccessTokenRequest
        • UntagResourceResponse
        • UntagResourceRequest
        • AmazonResourceName
        • ClientAccessToken
        • TunnelId
        • DeleteFlag
        • ConnectionStatus
        • ClientMode
        • DateType
        • ConnectionState
        • Tunnel
        • Description
        • ThingName
        • ServiceList
        • DestinationConfig
        • TagList
        • MaxResults
        • NextToken
        • TunnelSummaryList
        • TimeoutConfig
        • TunnelArn
        • Service
        • TagKey
        • TagValue
        • Tag
        • TagKeyList
        • TimeoutInMin
        • TunnelStatus
        • TunnelSummary

      /

      The AWS IoT Secure Tunneling multi-region endpoint
      http://api.tunneling.iot.{region}.amazonaws.com
      The AWS IoT Secure Tunneling multi-region endpoint
      http://api.tunneling.iot.{region}.amazonaws.com
      POST
      /
      Creates a new tunnel, and returns two client access tokens for clients to use to connect to the IoT Secure Tunneling proxy server.
      Requires permission to access the OpenTunnel action.

      Request

      Header Params

      Body Params application/json

      Examples

      Responses

      🟢200Success
      application/json
      Bodyapplication/json

      🟠480LimitExceededException
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --globoff 'http://api.tunneling.iot.{region}.amazonaws.com/' \
      --header 'X-Amz-Target;' \
      --header 'Content-Type: application/json' \
      --data '{
          "description": "string",
          "tags": [],
          "destinationConfig": {
              "thingName": "string",
              "services": []
          },
          "timeoutConfig": {
              "maxLifetimeTimeoutMinutes": 0
          }
      }'
      Response Response Example
      200 - Example 1
      {
          "tunnelId": "string",
          "tunnelArn": "string",
          "sourceAccessToken": "string",
          "destinationAccessToken": "string"
      }
      Modified at 2023-08-16 07:32:16
      Previous
      /
      Next
      /
      Built with